Package com.facebook.presto.jdbc

# Class PrestoIntervalDayTime

java.lang.Object
com.facebook.presto.jdbc.PrestoIntervalDayTime

All Implemented Interfaces:
  `Comparable<PrestoIntervalDayTime>`

public class PrestoIntervalDayTime extends Object implements Comparable<PrestoIntervalDayTime>

## Constructor Summary

Constructors
Constructor
Description
`PrestoIntervalDayTime(int day, int hour, int minute, int second, int millis)`
`PrestoIntervalDayTime(long milliSeconds)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PrestoIntervalDayTime o)`
`boolean`
`equals(Object obj)`
`long`
`getMilliSeconds()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrestoIntervalDayTime

public PrestoIntervalDayTime(long milliSeconds)

### PrestoIntervalDayTime

public PrestoIntervalDayTime(int day, int hour, int minute, int second, int millis)

## Method Details

### getMilliSeconds

public long getMilliSeconds()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(PrestoIntervalDayTime o)

Specified by:
  `compareTo` in interface `Comparable<PrestoIntervalDayTime>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`